Hi Systemprogrammers   :-)
 
 
Most HP28-users have a sub-routine "wait_for_key", I suppose, which holds a prg
until a key is pressed.
 
It looks like:
 
<< "Press any key to cont" 4 DISP DO UNTIL KEY END DROP >>
 
 
My improvement is to use the SHIFT-indicator instead of "Press any key to cont" 
 
<< #<SHIFT_ON> SYSEVAL DO UNTIL KEY END DROP #<SHIFT_OFF> SYSEVAL >>
 
 
(set your HP to HEX-mode)
 
                   1BB        1CC         2BB
--------------+----------+----------+-----------
#<SHIFT_ON>   !   #9C96  !   #9C61  !   #1F8A7     
#<SHIFT_OFF>  !   #9CA3  !   #9C6E  !   #1F8B4      
 
 
(with #A SYSEVAL you can get your version-number)
 
 
 
+------------------------------------------------------------------+
! true name: Ulli Horlacher *     e-mail: framstag@dtupev5a.bitnet !
! nick name: Framstag       *             s_horlac@dulruu51.bitnet !
!      or    Fraturday      *             50177::s_horlacher       !
!                           * snail-mail: Ulli Horlacher           !
!                           *             Landfriedbuehl 5         !
! Universitaet Ulm          *             D-7900 Ulm               !
! West-Germany              *             West-Germany             !
!******************************************************************!
!                 "Murphy was an optimist"                         !
+------------------------------------------------------------------+
